package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.*;
import com.lightinit.hsdataportal.model.*;

import java.util.List;

public interface IMicroappService {
    List<MicroappListModel> selectOpenList(MicroappSearchModel inputModel);

    long selectOpenCount(MicroappSearchModel inputModel);
    List<MicroappListModel> selectShareList(MicroappSearchModel inputModel);

    long selectShareCount(MicroappSearchModel inputModel);


    MicroappViewModel queryView(long id,String platformType);

    MicroappViewModel queryMicroapp(long id);

    ResultState doApply(MicroappApplyModel inputModel);

    ResourceMicroappWithBLOBs demo(long id);

    ResultState follow(ResourceFollow model);

    ResultState delfollow(long id);

    ResultState offlineConference(MicroappOfflineConferenceModel inputModel, Long id);

    List<ResourceAuth> isAPPly(Long id, Long publishSettingId);

//    PublishSetting selectSettingById(Long publishSettingId);
//
//    ResultState add(Order order);
//
//    ResultState add(OrderGoods orderGoods);
}
